function IsMousePosition: Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'MOUSE') and (PromCore.PromEvent.StrVal = 'POSITION') then
		IsMousePosition := True
	else
		IsMousePosition := False;
end;

function IsKeyDown(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'KEY') and (PromCore.PromEvent.StrVal = 'DOWN') then
		IsKeyDown := True
	else
		IsKeyDown := False;
end;
 
function IsMouseDown(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'MOUSE') and (PromCore.PromEvent.StrVal = 'DOWN') then
		IsMouseDown := True
	else
		IsMouseDown := False;
end;
 
function IsKeyUp(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'KEY') and (PromCore.PromEvent.StrVal = 'UP') then
		IsKeyUp := True
	else
		IsKeyUp := False;
end;
 
function IsWindowResize(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'SYSTEM') and (PromCore.PromEvent.StrVal = 'RESIZE') then
		IsWindowResize := True
	else
		IsWindowResize := False;
end;
 
function IsIdle(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'IDLE') and (PromCore.PromEvent.StrVal = 'NOEVENT') then
		IsIdle := True
	else
		IsIdle := False;
end;
 
function IsClose(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'SYSTEM') and (PromCore.PromEvent.StrVal = 'QUIT') then
		IsClose := True
	else
		IsClose := False;
end;
 
function IsWmEvent(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'SYSTEM') and (PromCore.PromEvent.StrVal = 'WM') then
		IsWmEvent := True
	else
		IsWmEvent := False;
end;
 
function IsMouseUp(): Boolean;
begin
	if (PromCore.PromEvent.Type_ = 'MOUSE') and (PromCore.PromEvent.StrVal = 'UP') then
		isMouseUp := True
	else
		isMouseUp := False;
end;
 
function GetKeyDown(): Int64;
begin
	if IsKeyDown = True then
		GetKeyDown := PromCore.PromEvent.IntVal
	else
		GetKeyDown := 0;
end;
 
function GetKeyUp(): Int64;
begin
	if IsKeyUp = True then
		GetKeyUp := PromCore.PromEvent.IntVal
	else
		GetKeyUp := 0;
end;
 
function GetKeyCharByInt(Int: Int64): String;
begin
	GetKeyCharByInt := chr(Int)
end;
 
function GetKeyIntByChar(Chr: Char): Int64;
begin
	GetKeyIntByChar := ord(Chr);
end;
 
function GetMouseDown(): String;
begin
	if IsMouseDown = True then
		begin
			GetMouseDown := PromCore.PromEvent.StrVal2;
		end
	else
		GetMouseDown := '';
end;
 
function GetMouseUp(): String;
begin
	if IsMouseUp = True then
		begin
			GetMouseUp := PromCore.PromEvent.StrVal2;
		end
	else
		GetMouseUp := '';
end;
 
function GetMouseX(): Int64;
begin
	if IsMousePosition = True then	
		GetMouseX := PromCore.PromEvent.IntVal
	else
		GetMouseX := 0;
end;
 
function GetMouseY(): Int64;
begin
	if IsMousePosition = True then	
		GetMouseY := PromCore.PromEvent.IntVal2
	else
		GetMouseY := 0;
end;
